Bug 66399 - ImageMagick-devel header files in the wrong place....
Summary: ImageMagick-devel header files in the wrong place....
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-10 02:42 UTC by Kambiz Aghaiepour
Modified: 2010-12-17 17:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 17:55:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kambiz Aghaiepour 2002-06-10 02:42:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.18-4 i686)

Description of problem:
The headers are installed  in:

  /usr/X11R6/include/X11/magick/magick/

There is one too many "magick" there.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install package...
	

Additional info:

Comment 1 Bernhard Rosenkraenzer 2002-06-10 12:13:33 UTC
While it looks a bit odd from the file system side, it has always been that 
way and is apparently intentional by the base maintainers. 
 
The idea is to compile with -I/usr/X11R6/include/X11/magick and to #include 
<magick/whatever.h>. 


Comment 2 Vilius Puidokas 2002-06-14 21:01:23 UTC
in 6.2 this wasn't the case:
rpm -qlp ImageMagick-devel-4.2.9-3.i386.rpm
/usr/X11R6/include/X11/magick
/usr/X11R6/include/X11/magick/api.h
/usr/X11R6/include/X11/magick/blob.h

what about having a symlink "magick -> ." in X11/magick if such usage needs to 
be maintained?
v


Comment 3 Matthias Clasen 2005-09-14 17:55:21 UTC
Please try to reproduce this against a supported release and reopen if you can.


Note You need to log in before you can comment on or make changes to this bug.